gi-harfbuzz-0.0.3: HarfBuzz bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.HarfBuzz.Structs.LanguageT

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype LanguageT = LanguageT (ManagedPtr LanguageT)

# Exported types

newtype LanguageT Source #

Memory-managed wrapper type.

Constructors

LanguageT (ManagedPtr LanguageT) |

#### Instances

Instances details

Eq LanguageT Source # |
Instance details Defined in GI.HarfBuzz.Structs.LanguageT Methods (==) :: LanguageT -> LanguageT -> Bool # (/=) :: LanguageT -> LanguageT -> Bool #
BoxedPtr LanguageT Source # |
Instance details Defined in GI.HarfBuzz.Structs.LanguageT Methods boxedPtrCopy :: LanguageT -> IO LanguageT Source # boxedPtrFree :: LanguageT -> IO () Source #
ManagedPtrNewtype LanguageT Source # |
Instance details Defined in GI.HarfBuzz.Structs.LanguageT Methods toManagedPtr :: LanguageT -> ManagedPtr LanguageT Source #

# Methods

## Overloaded methods